Pardus'a Yanlışlıkla Python 2 pip'i İndirdim

Merhabalar;

Pardus’a Python kütüphaneleri indirmem gerekiyor.İngilizce olarak araştırdım ve şu adresi buldum.Önüme çıkan ilk kodu sudo ile terminale yazdım ve python 2 için olduğunu gördüm :confused:.Aynı kodun install tarafını uninstall olarak değiştirdim ancak geçersiz işlem hatasını alıyorum.Nasıl silebilirim?

Hatayı at.

Python3 için indirmek için:

sudo apt install python3-pip

Format sonrası kurulum komutları hazırlamıştım:

https://dpaste.com/HXWZKCK4P

Bu kodları .sh dosyasına kaydedip sh dosyadi.sh çağırıyorum. İşine yaramayan bölümleri çıkar.

E: Geçersiz işlem: uninstall

Bu adresteki ilk kodu denedim ancak 'python-debian' kurulu değildi, dolayısıyla kaldırılmadı şeklinde bir çıktı veriyor.

Çözümü bilen yok mu?

sudo apt remove python kodunu denedim hata almadım ve şu çıktı var :

Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti      
'python' kurulu değildi, dolayısıyla kaldırılmadı
Aşağıdaki paket otomatik olarak kurulmuş ve artık bu pakete gerek duyulmuyor:
  libpython2-stdlib
Bu paketi kaldırmak için 'sudo apt autoremove' komutunu kullanın.
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.

Sonrasında python yazıyorum :

Python 2.7.16 (default, Oct 10 2019, 22:02:15) 
[GCC 8.3.0] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>>

sudo apt autoremove komutunu kullanın diyor.Kullandım ve tekrar python yazıyorum yine aynı şeyler çıkıyor?

Uninstall yerine remove yazacaksın.

Bu kodu dene.

1 Beğeni

python yazdığım zaman 2.7.16’nın çıktısını veriyor yine.

Attığınız kodun install kısmını remove olarak değiştirdim ve python3-pip’i python-pip yaptım.Şimdi siliniyor olmalı.

Olmuyor :confused:

pip3 komutu çalışıyor mu

Python u python3 komutu ile çağırıyorsun.

1 Beğeni

Evet.

Windows’ta böyle yapmıyordum.Python yazdığım zaman 2.7’nin çıktısını vermesi yerine geçersiz komut gibi bir şey yazması gerekmez mi? python3 yazdığım zaman 3.7.3 çıktısını alıyorum,teşekkür ederim.

1 Beğeni

Sistemde artık desteklenmediği halde python 2 kullanıyorlar. Ve evet, bu şekilde çağırıyoruz.

1 Beğeni